<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>SI-BKD Assesment All</title>
</head>
<body>
<div layout:fragment="main" class="container">

    <div class="row mb-3">
        <h3 class="mb-5"><i class="fa-solid fa-clipboard-check" style="color: #d3b30d"></i> List Assesment All</h3>
    </div>

    <div class="row mb-3">
        <div class="col-md-6">
            <form method="post" th:action="@{/assesment/all/simpan}" th:object="${assesmentAll}" enctype="multipart/form-data">
                <div class="card">
                    <div class="card-body">

                        <div class="mb-3 row">
                            <label for="role" class="col-sm-4 col-form-label">Semester :</label>
                            <div class="col-sm-8">
                                <select class="form-select" id="semester" th:field="*{semester}" name="semester" aria-label="Default select example" >
                                    <option th:value="${null}" selected>Pilih Semester</option>
                                    <option th:each="data : ${listSemester}"
                                            th:selected="(${data} == *{semester})"
                                            th:text="${data.namaSemester}"
                                            th:value="${data.id}">Dosen Biasa</option>
                                </select>
                            </div>
                        </div>
                        <div class="mb-3 row">
                            <label for="role" class="col-sm-4 col-form-label">Rekomendasi :</label>
                            <div class="col-sm-8">
                                <select class="form-select" id="role" name="rekomendasi" th:field="*{rekomendasi}" aria-label="Default select example">
                                    <option th:each="data : ${listRekomendasi}"
                                            th:text="${data}"
                                            th:value="${data}">sdasd</option>
                                </select>
                            </div>
                        </div>

                        <div class="mb-3 row">
                            <label for="catatan" class="col-sm-4 col-form-label">Catatan :</label>
                            <div class="col-sm-8">
                                <textarea class="form-control" id="catatan" th:field="*{catatan}" name="catatan"></textarea>
                            </div>
                        </div>
                    </div>
                    <div class="card-footer">
                        <button class="btn btn-success" type="submit">Simpan</button>
                    </div>
                </div>
            </form>

        </div>
    </div>

    <div class="row">
        <div class="col-md-12 table-responsive">
            <table class="table table-striped table-responsive mb-3">
                <thead class="table-dark bg-success align-middle text-center" style="--bs-table-bg:bg-success;">
                <tr>
                    <th class="p-3" width="10px">No</th>
                    <th class="p-3">Tanggal</th>
                    <th class="p-3">Semester</th>
                    <th class="p-3">User</th>
                    <th class="p-3">Mulai</th>
                    <th class="p-3">Selesai</th>
                    <th class="p-3" width="10px">Status</th>
                </tr>
                </thead>
                <tbody>
                <tr th:each="dataAssesmentAll,row : ${listAssesmentAll}">
                    <td class="align-middle text-end" th:text="${(row.index + 1) + (listAssesmentAll.number * listAssesmentAll.size)}">1</td>
                    <td class="align-middle text-center" th:text="${dataAssesmentAll.getTanggal()}">Adi Mulya Suprayogi</td>
                    <td class="align-middle text-center" th:text="${dataAssesmentAll.getSemester().getNamaSemester()}">Adi Mulya Suprayogi</td>
                    <td class="align-middle text-center" th:text="${dataAssesmentAll.getUser()}">Adi Mulya Suprayogi</td>
                    <td class="align-middle text-center" th:text="${dataAssesmentAll.getMulai()}">Adi Mulya Suprayogi</td>
                    <td class="align-middle text-center" th:text="${dataAssesmentAll.getSelesai()}">Adi Mulya Suprayogi</td>
                    <td class="align-middle text-center" th:text="${dataAssesmentAll.getStatusAssesment()}">Adi Mulya Suprayogi</td>
                </tr>
                </tbody>
            </table>

            <nav>
                <ul class="pagination" sd:pagination="full">
                    <!-- Pagination created by SpringDataDialect, this content is just for mockup -->
                    <li class="disabled"><a href="#" aria-label="Previous"><span aria-hidden="true">&laquo;</span></a></li>
                    <li class="active bg-success"><a href="#">1 <span class="sr-only">(current)</span></a></li>
                </ul>
            </nav>
        </div>
    </div>

</div>

<div layout:fragment="footer" class="script">
    <script>

        $( '#selecsemester' ).select2( {
            theme: "bootstrap-5",
            width: $( this ).data( 'width' ) ? $( this ).data( 'width' ) : $( this ).hasClass( 'w-100' ) ? '100%' : 'style',
            placeholder: $( this ).data( 'placeholder' ),
        } );

    </script>
</div>
</body>
</html>